Subject: Re: linux-next: manual merge of the wireless-drivers-next tree with Linus' tree

From: Kalle Valo <[email-masked]>
Date: Fri, 04 Aug 2017 09:36:26 +0300

Stephen Rothwell <[email-masked]> writes:

> Today's linux-next merge of the wireless-drivers-next tree got a
> conflict in:
>
>   drivers/net/wireless/intel/iwlwifi/mvm/ops.c
>
> between commit:
>
>   bf8b286f86fc ("iwlwifi: mvm: defer setting IWL_MVM_STATUS_IN_HW_RESTART")
>
> from Linus' tree and commit:
>
>   7174beb60c53 ("iwlwifi: refactor firmware debug code")
>
> from the wireless-drivers-next tree.
>
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks, the resolution looks good. I'll notify Dave about this when I
send the wireless-drivers-next pull request to him.

-- 
Kalle Valo